/v1/communities/{community_id}/conversations/{conversation_id}/members/{member_actor_id}AuthRemove a participant. Admin-only unless the acting `?actor_id=` equals the target (self-leave).
Path parameters
community_id*stringSocial community UUID. Must belong to the PAK's workspace.
conversation_id*stringConversation UUID.
member_actor_id*stringTarget participant — social actor UUID.
Query parameters
actor_id*string · uuidActing actor UUID (equal to the target for self-leave).
Response · 204
Participant removed.
Example
Request
DELETE https://social.productcraft.co/v1/communities/{community_id}/conversations/{conversation_id}/members/{member_actor_id}
Authorization: Bearer YOUR_TOKENimport { Social } from "@productcraft/social";
// Reads PRODUCTCRAFT_API_KEY from the environment
const social = new Social();
await social.community("3f0c3c1e-8a2b-4c55-9d3f-0a1b2c3d4e5f").as("7a8b9c0d-1e2f-4a3b-8c4d-5e6f7a8b9c0d").conversations.members.delete("3f0c3c1e-8a2b-4c55-9d3f-0a1b2c3d4e5f", "3f0c3c1e-8a2b-4c55-9d3f-0a1b2c3d4e5f", {});social.community(…).conversations.members.delete(conversationId, memberActorId, params, options?): void